Section Line Thickness Change

Hello,

Below is the code that i have recorded to change the thickness of section line t0 0.13mm (NXOpen.DisplayableObject.ObjectWidth.One),
How to modify this code to process all the section line in all drawing sheets of workpart
Can you please help me, Thanks in advance, below is recorded code

Imports System
Imports NXOpen

Module NXJournal
Sub Main (ByVal args() As String)

Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()
Dim workPart As NXOpen.Part = theSession.Parts.Work
Dim displayPart As NXOpen.Part = theSession.Parts.Display

Dim sectionlines1(0) As NXOpen.Drawings.SectionLine
Dim steppedSectionLine1 As NXOpen.Drawings.SteppedSectionLine = CType(workPart.FindObject("HANDLE R-360966"), NXOpen.Drawings.SteppedSectionLine)

sectionlines1(0) = steppedSectionLine1
Dim editSectionLineSettingsBuilder1 As NXOpen.Drawings.EditSectionLineSettingsBuilder = Nothing
editSectionLineSettingsBuilder1 = workPart.SettingsManager.CreateDrawingEditSectionLineSettingsBuilder(sectionlines1)

Dim editsettingsbuilders1(0) As NXOpen.Drafting.BaseEditSettingsBuilder
editsettingsbuilders1(0) = editSectionLineSettingsBuilder1
workPart.SettingsManager.ProcessForMultipleObjectsSettings(editsettingsbuilders1)

editSectionLineSettingsBuilder1.ViewSectionLine.LineColorFontWidth.LineWidth = NXOpen.DisplayableObject.ObjectWidth.One

Dim nXObject1 As NXOpen.NXObject = Nothing
nXObject1 = editSectionLineSettingsBuilder1.Commit()

End Sub
End Module

Each part has a section lines collection that gives you access to all the section lines in the part.

{your part}.Drafting.SectionLines

Thank You